## BtIcAbsRangeControl BtIcAbsRangeControl — buzztraxs interaction controller single absolute range control |

## Functions

BtIcAbsRangeControl * | btic_abs_range_control_new ()

## Properties

glong | def | Read / Write / Construct Only
glong | max | Read / Write / Construct Only
glong | min | Read / Write / Construct Only
glong | value | Read / Write

## Types and Values

struct | BtIcAbsRangeControl

## Object Hierarchy

        GObject
        ╰── BtIcControl
            ╰── BtIcAbsRangeControl

## Includes

    #include <libbtic/ic.h>

## Description

Absolute range control. The state of the hardware control can be read from BtIcAbsRangeControl:value.

## Functions

### btic_abs_range_control_new ()

    BtIcAbsRangeControl *
    btic_abs_range_control_new (const BtIcDevice *device,
                                const gchar *name,
                                guint id,
                                glong min,
                                glong max,
                                glong def);

Create a new instance

#### Parameters

device | the device it belongs to |
name | human readable name |
id | unique identifier per device |
min | minimum value |
max | maximum value |
def | default value |

#### Returns

the new instance or `NULL` in case of an error

## Types and Values

### struct BtIcAbsRangeControl

    struct BtIcAbsRangeControl;

buzztraxs interaction controller single trigger control

## Property Details

### The `“def”` property

      “def”                      glong

default control value.

Flags: Read / Write / Construct Only

Default value: 0

### The `“max”` property

      “max”                      glong

maximum control value.

Flags: Read / Write / Construct Only

Default value: 9223372036854775807

### The `“min”` property

      “min”                      glong

minimum control value.

Flags: Read / Write / Construct Only

Default value: -9223372036854775808

### The `“value”` property

      “value”                    glong

control value.

Flags: Read / Write

Default value: 0